# class CollectionDeleteJob

###

Module | akonadi
Namespace | Akonadi
Class | CollectionDeleteJob
Inherits | Akonadi::Job

Job that deletes a collection in the Akonadi storage.

This job deletes a collection and all its sub-collections as well as all associated content.

    Akonadi.Collection collection = ...

    Akonadi.CollectionDeleteJob *job = new Akonadi.CollectionDeleteJob( collection );

    if ( job->exec() )
    qDebug() << "Deleted successfully";
    else
    qDebug() << "Error occurred";

Author Volker Krause <vkrause@kde.org>

### methods

- CollectionDeleteJob (collection, parent)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  collection | Akonadi.Collection |
  parent | QObject | 0

  Creates a new collection delete job.

  collection - The collection to delete.

  parent - The parent object.

- doStart ( )

  returns Nothing